import { html as f } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, a = Object.getOwnPropertyDescriptor, c = (l, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? a(t, o) : t, i = l.length - 1, p; i >= 0; i--)
    (p = l[i]) && (e = (r ? p(t, o, e) : p(e)) || e);
  return r && e && m(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--filters", this.class = "c-pieIcon c-pieIcon--filters", this.name = "IconFilters";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--filters"><path d="M15 3.844v1.312H6.031v1.532H4.72V5.155H1V3.844h3.719V2.313H6.03v1.53H15Zm-3.719 5.469H9.97v1.53H1v1.313h8.969v1.531h1.312v-1.53H15v-1.313h-3.719V9.313Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  v("icon-filters")
], s);
export {
  s as IconFilters
};
